use std::fs;

const LABEL_SEPARATOR:char = ':';
const RACE_SEPARATOR:char = ' ';

const FILE_NAME:&str = "./data/data.txt";
fn main() {
    let file_contents = fs::read_to_string(FILE_NAME).unwrap();
    let lines:Vec<&str> = file_contents.split('\n').collect();
    let mut final_output = 1;
    let (_,allowed_times_str) = lines.get(0).unwrap().split_once(LABEL_SEPARATOR).unwrap();
    let (_,record_distances_str) = lines.get(1).unwrap().split_once(LABEL_SEPARATOR).unwrap();

    let mut max_time:usize = 0;
    let mut min_dist:usize = 0;

    let mut place = 0;
    for possible_char in allowed_times_str.chars().rev(){
        if possible_char == RACE_SEPARATOR{
            continue;
        } else{
            let val:u32 = possible_char.to_digit(10).unwrap();
            max_time += val as usize * 10_usize.pow(place);
            place += 1;
        }
    }

    place = 0;
    for possible_char in record_distances_str.chars().rev(){
        if possible_char == RACE_SEPARATOR{
            continue;
        } else{
            let val:u32 = possible_char.to_digit(10).unwrap();
            min_dist += val as usize * 10_usize.pow(place);
            place += 1;
        }
    }

    println!("time: {:?}, dist: {:?}", max_time, min_dist);

    let mut possible_win_options:usize = 0;
    for j in 0..max_time{
        let traveled_dist = (max_time-j)*j;
        if traveled_dist > min_dist{
            possible_win_options += 1;
        }
    }
    final_output *= possible_win_options;


    println!("{}",final_output);
}
